DRM_GEM_PRIME_EXPORT(9)

NAME
drm_gem_prime_export - helper library implementation of the export callback

SYNOPSIS

struct dma_buf * drm_gem_prime_export(struct drm_device * dev, struct drm_gem_object * obj, int flags);

ARGUMENTS

dev
    drm_device to export from

obj
    GEM object to export

flags
    flags like DRM_CLOEXEC

DESCRIPTION

This is the implementation of the gem_prime_export functions for GEM drivers using the PRIME helpers.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT